View Issue Details

IDProjectCategoryView StatusLast Update
14518Bug reports[All Projects] Survey takingpublic2019-04-30 09:11
Reportertbart Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14518: Upload modals/iframes: growing height after repeated delete actions
Description

When clicking the "Upload files" button in a survey's upload question, uploading a file and deleting it again, closing the modal and reopening it again, the height of the iframe increases.
This can be repeated until the modal/iframe is no longer usable as it runs out of the page.

A quick search did not lead me to the position in code where the direct formatting (last attribute) in the iframe tag is added:

<iframe id="uploader111111X2278X16862" name="uploader111111X2278X16862" class="uploader-frame" src="/uploader/index?sid=111111&fieldname=111111X2278X16862&qid=16862&preview=0&show_title=0&show_comment=0&minfiles=1&maxfiles=1" title="Hochladen" style="height: 455px;"></iframe>

Whenever this gets increased, it needs to be decreased when a file is deleted as well.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8+190130
I will donate to the project if issue is resolvedNo
BrowserFirefox Quantum
Database & DB-Versionnot relevant
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2

Issue History

Date Modified Username Field Change
2019-02-11 13:57 tbart New Issue
2019-02-12 09:01 DenisChenu Assigned To => DenisChenu
2019-02-12 09:01 DenisChenu Status new => assigned
2019-02-14 18:06 DenisChenu Assigned To DenisChenu =>
2019-02-14 18:06 DenisChenu Status assigned => new
2019-02-19 12:52 dominikvitt Assigned To => dominikvitt
2019-02-19 12:52 dominikvitt Status new => assigned
2019-02-19 15:20 dominikvitt Status assigned => confirmed
2019-02-19 17:57 dominikvitt Status confirmed => resolved
2019-02-19 17:57 dominikvitt Resolution open => fixed
2019-02-19 17:57 dominikvitt Fixed in Version => 3.15.x
2019-02-19 17:57 dominikvitt Note Added: 50637
2019-04-30 09:11 c_schmitz Status resolved => closed